Bug 1481207 - Firewall fails to apply when using iptables-services [rhel-7.4.z] [NEEDINFO]
Firewall fails to apply when using iptables-services [rhel-7.4.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: iptables (Show other bugs)
7.4
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: Thomas Woerner
Tomas Dolezal
: Regression, Security, ZStream
: 1460116 (view as bug list)
Depends On: 1380141 1438937 1477413 1486803 1486871 1544921 1544922 1544923
Blocks: osp12-automation-blockers 1399762 1460116 1480374
  Show dependency treegraph
 
Reported: 2017-08-14 07:17 EDT by Oneata Mircea Teodor
Modified: 2018-02-14 07:40 EST (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, at boot time or after running the "systemctl restart iptables ip6tables" command, the systemd service was running both iptables and ip6tables services in parallel. Due to the internal locking mechanism that prevented concurrent updates, one of the two services failed to start. This update adds the --wait option to the "iptables-restore" and "ip6tables-restore" commands to make them wait until the lock becomes free, and the described problem no longer occurs.
Story Points: ---
Clone Of: 1477413
Environment:
Last Closed: 2017-10-19 10:58:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amuller: needinfo? (twoerner)
rcernin: needinfo? (twoerner)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3138851 None None None 2017-09-06 08:09 EDT
Red Hat Product Errata RHBA-2017:2919 normal SHIPPED_LIVE iptables bugfix update 2017-10-19 14:44:49 EDT

  None (edit)
Description Oneata Mircea Teodor 2017-08-14 07:17:43 EDT
This bug has been copied from bug #1477413 and has been proposed to be backported to 7.4 z-stream (EUS).
Comment 10 Ihar Hrachyshka 2017-08-22 13:48:21 EDT
I don't think -17 is affected. We currently experience failures for OpenStack Neutron with -18 with a similar issue; with -17, it passes broken tests just fine.

By the quick look at backported iptables patches, it doesn't seem like xlock was a thing in -17 at all, so you can't possibly get the error there.
Comment 11 Assaf Muller 2017-08-28 09:35:15 EDT
This is affecting Red Hat OpenStack CI, can we have the latest status here?
Comment 16 Eric Garver 2017-08-30 12:41:15 EDT
I'm putting this back ON_QA. There is a new bug 1486871 to track the issue found in comment 6.
Comment 17 mathieu bultel 2017-09-06 08:09:53 EDT
*** Bug 1460116 has been marked as a duplicate of this bug. ***
Comment 22 errata-xmlrpc 2017-10-19 10:58:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2919
Comment 23 Robert Scheck 2017-10-21 19:38:28 EDT
Obviously, the QA for this update was incomplete, leading to bug #1499367 now.

Note You need to log in before you can comment on or make changes to this bug.